import { onMounted, onUnmounted, watch } from 'vue';
export const useHtmlDarkClass = (isDarkMode) => {
    const updateDarkModeClass = (value = isDarkMode.value) => {
        // set `class="dark"` on `<html>` element
        const htmlEl = window === null || window === void 0 ? void 0 : window.document.querySelector('html');
        htmlEl === null || htmlEl === void 0 ? void 0 : htmlEl.classList.toggle('dark', value);
    };
    onMounted(() => {
        watch(isDarkMode, updateDarkModeClass, { immediate: true });
    });
    onUnmounted(() => {
        updateDarkModeClass(false);
    });
};
