import { onMounted, onUnmounted, ref } from 'vue';
export const usePrefersColorScheme = (isDarkMode) => {
    const mediaQuery = ref(null);
    const onMediaQueryChange = (event) => {
        isDarkMode.value = event.matches;
    };
    onMounted(() => {
        // get `prefers-color-scheme` media query and set the initial mode
        mediaQuery.value = window.matchMedia('(prefers-color-scheme: dark)');
        isDarkMode.value = mediaQuery.value.matches;
        // watch changes
        mediaQuery.value.addEventListener('change', onMediaQueryChange);
    });
    onUnmounted(() => {
        var _a;
        (_a = mediaQuery.value) === null || _a === void 0 ? void 0 : _a.removeEventListener('change', onMediaQueryChange);
    });
};
